/*******************************************************************************
*
* Motorola Inc.
* (c) Copyright 2002 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
* $Element: /project/dsp568_sdk/sdk/src/dsp56838evm/nos/config/configdefines.h $ 
* $Author: saa $ 
* $Revision: /main/2 $ 
* $VOB: /project/dsp568_sdk $ 
* $OS: solaris $ 
*
* Description:  configuration of SDK application  
*
* Notes:   
*
******************************************************************************/
#ifndef __CONFIGDEFINES_H
#define __CONFIGDEFINES_H

#ifndef ArchInstallCallback
	#define ArchInstallCallback(__A, __B, __C)
#endif

#ifndef ArchInstallFastISR 
	#define ArchInstallFastISR( num, CallBack, prio )
#endif

/****************************************************************************
*
* Include user selected SDK components
*
****************************************************************************/
#include "appconfig.h"

/****************************************************************************
*
* Resolve include dependencies automatically
*
****************************************************************************/
#ifdef INCLUDE_BSP 
	#ifndef INCLUDE_PLL
		#define INCLUDE_PLL
	#endif 

	#ifndef INCLUDE_ITCN
		#define INCLUDE_ITCN
	#endif 

	#ifndef INCLUDE_ITCN
		#define INCLUDE_ITCN
	#endif 
#endif

#ifdef INCLUDE_FLEXCAN 
		ArchInstallFastISR(29, CANBufferISR, 1);			
#endif

#ifdef INCLUDE_SCI 

        ArchInstallCallBackISR(Sci0,68,Tx, sciTransmitterISR, 2);
        ArchInstallCallBackISR(Sci0,69,Tx, sciTransmitterISR, 2);    
        ArchInstallCallBackISR(Sci0,70,Rx, sciReceiverISR, 2);    
        ArchInstallCallBackISR(Sci0,71,Rx, sciReceiverISR, 2);    
        ArchInstallCallBackISR(Sci0,72,Rx, sciReceiverISR, 2);    
    
	    ArchInstallCallBackISR(Sci1,42,Tx, sciTransmitterISR, 2);
   	    ArchInstallCallBackISR(Sci1,43,Tx, sciTransmitterISR, 2);
        ArchInstallCallBackISR(Sci1,44,Rx, sciReceiverISR, 2);    
        ArchInstallCallBackISR(Sci1,45,Rx, sciReceiverISR, 2);    
        ArchInstallCallBackISR(Sci1,46,Rx, sciReceiverISR, 2);    

#endif 

#endif	// CONFIGDEFINES
