/*******************************************************************************
*
* Motorola Inc.
* (c) Copyright 2002 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
* $Element: /project/dsp568_sdk/sdk/src/dsp56838evm/nos/config/vector.c $ 
* $Author: saa $ 
* $Revision: /main/2 $ 
* $VOB: /project/dsp568_sdk $ 
* $OS: solaris $ 
*
* Description:      SDK interrupt vector 
*
* Notes:            The following Interrupt Vector MUST be at the beginning 
*                   of this vector.c file so that it is located at P:P:0x0000 
*                   by the linker.cmd file. 
*
******************************************************************************/
#include "arch.h"

#define ArchInstallISR( num, CallBack, prio )   extern void SDK_Interrupt##num(void)
#define ArchInstallFastISR( num, CallBack, prio )   extern void SDK_Interrupt##num(void)
#define ArchInstallCallBackISR(device,num, type, CallBack, prio )   extern void SDK_Interrupt##num(void)

extern void configInterruptVector(void);

#include "configdefines.h"




