/*****************************************************************************
*
* Motorola Inc.
* (c) Copyright 2000 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
******************************************************************************
*
* File Name:         appconst.h
*
* Description:       Description of Application constant for appconst.c file
*
* Modules Included:  
*                    
* 
*****************************************************************************/

#ifndef __APPCONST_H
#define __APPCONST_H

#include "appconfig.h"

/*for SCI output INCLUDE_SCI should be defined in appconfig.h*/
#undef SCI_OUTPUT 

#ifndef  INCLUDE_SCI
#undef SCI_OUTPUT
#endif

#ifdef  SCI_OUTPUT
#define ARRAYDATA_LENGTH 63381U
#define ARRAYDATA_LENGTH1 3923
#else
#define ARRAYDATA_LENGTH 15885U
#define ARRAYDATA_LENGTH1 4086
#endif



extern  const unsigned int arrayData [ARRAYDATA_LENGTH]; 
extern  const unsigned int arrayData1 [ARRAYDATA_LENGTH1]; 

#endif /* __APPCONST_H */

